package ucenici;

import java.util.ArrayList;
import java.util.Collections;

public class Ucenik implements Comparable<Ucenik>{

	Integer broj;
	String ime;
	String prezime;
	Float prosek;
	
	public Ucenik(Integer broj, String ime, String prezime, Float prosek) {
		super();
		this.broj = broj;
		this.ime = ime;
		this.prezime = prezime;
		this.prosek = prosek;
	}

	@Override
	public int compareTo(Ucenik arg0) {
		return arg0.prosek.compareTo(this.prosek);
	}
	
	@Override
	public String toString(){
		return broj+"\t"+ime+"\t"+prezime+"\t"+prosek;
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ArrayList<Ucenik> ucenici = new ArrayList<Ucenik>();
		ucenici.add(new Ucenik(45, "Stefan", "Kalem", 4.75f));
		ucenici.add(new Ucenik(6, "Nikola", "Ristic", 5f));
		ucenici.add(new Ucenik(17, "Isidora", "Janjic", 4.5f));
		Collections.sort(ucenici);
		for(int i=0; i<ucenici.size(); i++)
			System.out.println(ucenici.get(i));
	}

}
